Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api.extensions.url
Interface TargetPageConfig

    public interface TargetPageConfig

Interface that allows specification of a page that should used to render the content the URL is generated for.

Method Summary
`java.lang.String` | `getPageId()` Get the ID of the page.
`java.lang.String` | `getPagePath()` Get the URL path that addresses the the page.
`java.lang.Boolean` | `useCurrentPage()` Returns `Boolean.TRUE` if the current page should be used as target page.

Method Detail

### getPagePath

    java.lang.String getPagePath()

  Get the URL path that addresses the the page. This can be the composite friendly name of the page or a URL mapping path that points to the page. The method returns `null` if the configuration does not address a target page by path.

  Returns:
    The composite name of the page or `null` if the configuration does not address a target page by path.

### getPageId

    java.lang.String getPageId()

  Get the ID of the page. This can be a serialized `ObjectID` or the unique name of the page. This method returns `null` if the configuration does not address a target page using an ID. The `Identification` provider can be used to generate a `ObjectID` from a non-null return value of this method.

  Returns:
    The ID of the page or `null` if the configuration does not address a target page using an ID or unique name.

### useCurrentPage

    java.lang.Boolean useCurrentPage()

  Returns `Boolean.TRUE` if the current page should be used as target page.

  Returns:
    `Boolean.TRUE` if the current page should be used as target. A value of `Boolean.FALSE` indicates that the configuration parameter was set but the current page is not targeted. A return value of `null` indicates that the configuration parameter was not set.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD